package fr.nabil.data;

import fr.nabil.utils.Pair;

import java.util.Map;

public class VRP {

    private String name;
    private String comment;
    private String type;
    private int dimension;
    private String edgeWeightType;
    private int capacity;
    private Map<Integer, Pair<Integer, Integer>> nodeCoordSection;
    private Map<Integer, Integer> demandeSection;

    public VRP(String name, String comment, String type, int dimension, String edgeWeightType, int capacity, Map<Integer, Pair<Integer, Integer>> nodeCoordSection, Map<Integer, Integer> demandeSection) {
        this.name = name;
        this.comment = comment;
        this.type = type;
        this.dimension = dimension;
        this.edgeWeightType = edgeWeightType;
        this.capacity = capacity;
        this.nodeCoordSection = nodeCoordSection;
        this.demandeSection = demandeSection;
    }

    @Override
    public String toString() {
        return "VRP{" +
                "name='" + name + '\'' +
                ", comment='" + comment + '\'' +
                ", type='" + type + '\'' +
                ", dimension=" + dimension +
                ", edgeWeightType='" + edgeWeightType + '\'' +
                ", capacity=" + capacity +
                ", nodeCoordSection=" + nodeCoordSection +
                ", demandeSection=" + demandeSection +
                '}';
    }
}
